OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKPShape
PColgp

# PColgp_HArray1OfXYZ Class Reference

`#include <PColgp_HArray1OfXYZ.hxx>`

## Public Member Functions
Standard_EXPORT | PColgp_HArray1OfXYZ (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | PColgp_HArray1OfXYZ (const Standard_Integer Low, const Standard_Integer Up, const gp_XYZ &V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_EXPORT void | SetValue (const Standard_Integer Index, const gp_XYZ &Value)
Standard_Integer | Upper () const
Standard_EXPORT gp_XYZ | Value (const Standard_Integer Index) const
virtual Standard_EXPORT Handle_Standard_Persistent | ShallowCopy () const
virtual Standard_EXPORT void | ShallowDump (Standard_OStream &s) const
| PColgp_HArray1OfXYZ ()
| PColgp_HArray1OfXYZ (const Storage_stCONSTclCOM &a)
Standard_Integer | _CSFDB_GetPColgp_HArray1OfXYZLowerBound () const
void | _CSFDB_SetPColgp_HArray1OfXYZLowerBound (const Standard_Integer p)
Standard_Integer | _CSFDB_GetPColgp_HArray1OfXYZUpperBound () const
void | _CSFDB_SetPColgp_HArray1OfXYZUpperBound (const Standard_Integer p)
const PColgp_FieldOfHArray1OfXYZ & | _CSFDB_GetPColgp_HArray1OfXYZData () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Member Functions
Standard_EXPORT PColgp_FieldOfHArray1OfXYZ | Field () const
Standard_EXPORT Standard_Address | Datas () const
## Private Attributes
Standard_Integer | LowerBound
Standard_Integer | UpperBound
PColgp_FieldOfHArray1OfXYZ | Data

## Constructor & Destructor Documentation

Standard_EXPORT PColgp_HArray1OfXYZ::PColgp_HArray1OfXYZ | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT PColgp_HArray1OfXYZ::PColgp_HArray1OfXYZ | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const gp_XYZ & | V
| ) |

PColgp_HArray1OfXYZ::PColgp_HArray1OfXYZ | ( |  | ) | `[inline]`

PColgp_HArray1OfXYZ::PColgp_HArray1OfXYZ | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

const PColgp_FieldOfHArray1OfXYZ& PColgp_HArray1OfXYZ::_CSFDB_GetPColgp_HArray1OfXYZData | ( |  | ) | const`[inline]`

Standard_Integer PColgp_HArray1OfXYZ::_CSFDB_GetPColgp_HArray1OfXYZLowerBound | ( |  | ) | const`[inline]`

Standard_Integer PColgp_HArray1OfXYZ::_CSFDB_GetPColgp_HArray1OfXYZUpperBound | ( |  | ) | const`[inline]`

void PColgp_HArray1OfXYZ::_CSFDB_SetPColgp_HArray1OfXYZLowerBound | ( | const Standard_Integer | p | ) | `[inline]`

void PColgp_HArray1OfXYZ::_CSFDB_SetPColgp_HArray1OfXYZUpperBound | ( | const Standard_Integer | p | ) | `[inline]`

Standard_EXPORT Standard_Address PColgp_HArray1OfXYZ::Datas | ( |  | ) | const`[private]`

Standard_EXPORT PColgp_FieldOfHArray1OfXYZ PColgp_HArray1OfXYZ::Field | ( |  | ) | const`[private]`

Standard_EXPORT const PColgp_HArray1OfXYZ::Handle | ( | Standard_Type |  | ) | const

Standard_Integer PColgp_HArray1OfXYZ::Length | ( |  | ) | const

Standard_Integer PColgp_HArray1OfXYZ::Lower | ( |  | ) | const

Standard_EXPORT void PColgp_HArray1OfXYZ::SetValue | ( | const Standard_Integer | Index,
|  | const gp_XYZ & | Value
| ) |

virtual Standard_EXPORT Handle_Standard_Persistent PColgp_HArray1OfXYZ::ShallowCopy | ( |  | ) | const`[virtual]`

virtual Standard_EXPORT void PColgp_HArray1OfXYZ::ShallowDump | ( | Standard_OStream & | s | ) | const`[virtual]`

Standard_Integer PColgp_HArray1OfXYZ::Upper | ( |  | ) | const

Standard_EXPORT gp_XYZ PColgp_HArray1OfXYZ::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

PColgp_FieldOfHArray1OfXYZ PColgp_HArray1OfXYZ::Data`[private]`

Standard_Integer PColgp_HArray1OfXYZ::LowerBound`[private]`

Standard_Integer PColgp_HArray1OfXYZ::UpperBound`[private]`

The documentation for this class was generated from the following file:

- PColgp_HArray1OfXYZ.hxx